Package mpi4py :: Module rc

[hide private]
[frames] | no frames]

# Module rc

source code

Runtime configuration parameters

Functions | [hide private]

profile(name=`'``MPE``'`, **kargs) MPI profiling interface | source code

Variables | [hide private]

| initialize = `True` Automatic MPI initialization at import time
| threaded = `True` Request for thread support at MPI initialization
| thread_level = ``'``multiple``'`` Level of thread support to request at MPI initialization
| finalize = `True` Automatic MPI finalization at exit time
| _pmpi_ = ``[``]``
| __package__ = `None`

Variables Details | [hide private]

### initialize

Automatic MPI initialization at import time

- Any of `{True | 1 | "yes" }`: initialize MPI at import time
- Any of `{False | 0 | "no" }`: do not initialize MPI at import time

Value:

      True

### threaded

Request for thread support at MPI initialization

- Any of `{True | 1 | "yes" }`: initialize MPI with `MPI_Init_thread()`
- Any of `{False | 0 | "no" }`: initialize MPI with `MPI_Init()`

Value:

      True

### thread_level

Level of thread support to request at MPI initialization

- `"single"` : use `MPI_THREAD_SINGLE`
- `"funneled"` : use `MPI_THREAD_FUNNELED`
- `"serialized"` : use `MPI_THREAD_SERIALIZED`
- `"multiple"` : use `MPI_THREAD_MULTIPLE`

Value:

      'multiple'

### finalize

Automatic MPI finalization at exit time

- Any of `{True | 1 | "yes" }`: call `MPI_Finalize()` at exit time
- Any of `{False | 0 | "no" }`: do not call `MPI_Finalize()` at exit time

Value:

      True